Thanks David. I followed those instructions and everything appears to work. <br><br><div class="gmail_quote">On Wed, Sep 21, 2011 at 11:29 AM, David Shupe <span dir="ltr">&lt;<a href="mailto:shupe@ipac.caltech.edu">shupe@ipac.caltech.edu</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;"><div style="word-wrap:break-word">I can endorse the instructions provided by Thomas Robitaille for installing Python using MacPorts.  These are at <a href="http://astrofrog.github.com/macports-python/" target="_blank">http://astrofrog.github.com/macports-python/</a><div>
<br></div><div>His post to this list is at <a href="http://mail.scipy.org/pipermail/astropy/2011-July/001666.html" target="_blank">http://mail.scipy.org/pipermail/astropy/2011-July/001666.html</a></div><div><br></div><div>
I have used these instructions to install Python with all the scientific packages I wanted on two Macs running Snow Leopard (10.6.8).  It looks like PIL can be installed using MacPorts too.</div><div><br></div><div>Regards,</div>
<div>David</div><font color="#888888"><div><br></div></font><div><div><div class="im"><div><blockquote type="cite"></blockquote>On Sep 21, 2011, at 8:01 AM, David Johnston wrote:</div><br></div><blockquote type="cite"><div>
<div></div><div class="h5">I have been trying to install the usual set of numerical packages on my Mac laptop, numpy, scipy, matplotlib etc. I also need to be able to read jpegs and other images so I see that I probably need PIL. <div>
<br></div><div>
My system is Mac OSX 10.6.7 (Snow Leopard). This is intel core duo hardware. </div><div><br></div><div>After much work, I have been able to install numpy, scipy, matplotlib but not PIL. This is under python 2.6.6. numpy 1.5.1, scipy 0.9.0, matplotlib 1.0.0. PIL.Image.VERSION=1.1.7</div>

<div><br></div><div>I can import PIL but it fails to work properly. I think I got it to read jpeg files but the Image.show() method failed with</div><div><div> raise ImportError(&quot;The _imaging C module is not installed&quot;)</div>

</div><div><br></div><div>I also tried installing scisoft. I tried versions 2011.17.1 and 2011.1.1. Neither were able to import  scipy. </div><div><br></div><div>Anyone have any advise for installing scisoft on 10.6.7 or some alternative?</div>

<div>Dave</div></div></div><div class="im">
_______________________________________________<br>AstroPy mailing list<br><a href="mailto:AstroPy@scipy.org" target="_blank">AstroPy@scipy.org</a><br><a href="http://mail.scipy.org/mailman/listinfo/astropy" target="_blank">http://mail.scipy.org/mailman/listinfo/astropy</a><br>
</div></blockquote></div><br></div></div></blockquote></div><br>